| GET | /RestApi/diagnostics/cache-statuses |
|---|
using System;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Diagnostics.Tools.PerformanceTips.Web.Services.Dto.Request;
using Telerik.Sitefinity.Diagnostics.Tools.PerformanceTips.Web.Services.Dto.Response;
namespace Telerik.Sitefinity.Diagnostics.Tools.PerformanceTips.Web.Services.Dto.Request
{
public partial class GetCacheStatuses
{
}
}
namespace Telerik.Sitefinity.Diagnostics.Tools.PerformanceTips.Web.Services.Dto.Response
{
public partial class CacheStatusesProxy
{
public virtual bool OutputCache { get; set; }
public virtual bool ClientCache { get; set; }
public virtual bool L2Cache { get; set; }
public virtual bool ClientSideCacheForThemes { get; set; }
public virtual bool RssCache { get; set; }
public virtual bool PagesPermissionsCache { get; set; }
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/diagnostics/cache-statuses HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
OutputCache: False,
ClientCache: False,
L2Cache: False,
ClientSideCacheForThemes: False,
RssCache: False,
PagesPermissionsCache: False
}